netdev
[Top] [All Lists]

Re: cannot up iface in 2.6.9, was working in 2.6.9-rc3

To: Stephen Hemminger <shemminger@xxxxxxxx>
Subject: Re: cannot up iface in 2.6.9, was working in 2.6.9-rc3
From: Denis Vlasenko <vda@xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx>
Date: Fri, 22 Oct 2004 23:42:31 +0300
Cc: linux-kernel@xxxxxxxxxxxxxxx, netdev@xxxxxxxxxxx, Jeff Garzik <jgarzik@xxxxxxxxx>
In-reply-to: <20041022121741.32d6732f@xxxxxxxxxxxxxxxxx>
References: <200410222159.26369.vda@xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx> <20041022121741.32d6732f@xxxxxxxxxxxxxxxxx>
Sender: netdev-bounce@xxxxxxxxxxx
User-agent: KMail/1.5.4
On Friday 22 October 2004 22:17, Stephen Hemminger wrote:
> On Fri, 22 Oct 2004 21:59:26 +0300
> > It cannot be upped:
> > 
> > # ip l set dev if up
> > SIOCSIFFLAGS: Function not implemented
> > # ifconfig if up
> > SIOCSIFFLAGS: Function not implemented
> > # busybox ip l set dev if up
> > SIOCSIFFLAGS: Function not implemented
>
> It probably isn't the via driver at all, but something in the ioctl layer.
> Try it without using the busybox version of ifconfig and ip.

As shown above, I did it. All three utilities fail.

I rechecked that rc3 works and found out that rc4 does not.

I also booted with init=/bin/sh and ran 'ip l set dev eth0 up'
- it fails under rc4, but works under rc3. This rules out
my userspace setup being somehow involved.

Config for rc4 is attached.
--
vda

Attachment: .config.bz2
Description: BZip2 compressed data

<Prev in Thread] Current Thread [Next in Thread>